# Crate form_urlencoded [−] [src]

Parser and serializer for the `application/x-www-form-urlencoded` syntax, as used by HTML forms.

Converts between a string (such as an URL’s query string) and a sequence of (name, value) pairs.

## Structs

ByteSerialize | Return value of `byte_serialize()`.
Parse | The return type of `parse()`.
ParseIntoOwned | Like `Parse`, but yields pairs of `String` instead of pairs of `Cow<str>`.
Serializer | The `application/x-www-form-urlencoded` serializer.

## Traits

Target |

## Functions

byte_serialize | The `application/x-www-form-urlencoded` byte serializer.
parse | Convert a byte string in the `application/x-www-form-urlencoded` syntax into a iterator of (name, value) pairs.

## Type Definitions

EncodingOverride |